Subject: Re: Annoucement: GCC-3.4.0 binary release candidate
From: "Hans Horn" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 6 Jun 2004 07:41:26 -0700

Hallole Gerrit,

I was not trying to build gcc & kin, but rather just use it to build the
suite of software
I've been working on over the years.

There was one hickup with g++ under heavy duty optimization, for which I
filed a bug report
(https://sourceforge.net/tracker/index.php?func=detail&aid=954656&group_id=2435&atid=102435).
Danny Smith said he fixed the problem and send the patch back to the
mainstream gcc folks.

Performancewise I had mixed success (compared with executables compiled
under gcc 3.3.1 cygwin -mno-cygwin).
Some are significantly slower, some are significantly faster (+/- 50%) than
under 3.3.1.

There were many issues, though, I had to deal with in order to be able to
compile the code under mingw in the first place (see the posts I made around 
5th of
may 2004). If you are interested in details of the workarounds, let me know!

grusel,
H.

p.s. in my university days I knew a Frank Haase from Berlin; are you related
to him?

"Gerrit P. Haase" wrote in message
news:[email-masked]...
> Hello Hans,
>
>> I'd like to give this one a test drive! Is it possible to use it under
>> the
>> cygwin gcc frontend (i.e. gcc -mno-cygwin) ??
>> Or do I need to wait for the cygwin folks to catch up (which may take an
>> eternity and a half :-)?
>
> Please try to build gcc-3.3.3 or gcc-3.4.0 (including ALL languages)
> and if it succeeds, send me your patches!
>
>
> Gerrit
> -- 
> =^..^=
>
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/